<?php
declare(strict_types=1);

namespace App\Service\Mailer;

use App\Entity\Access\Access;
use App\Entity\Organization\Organization;

/**
 * Classe AbstractRecipient qui contient les informations des destinataires
 */
class EmailRecipient
{
    private string $sendStatus;
    private string $name = '';
    private string $emailAddress;
    private string $sendType;
    private ?Access $access = null;
    private ?Organization $organization = null;

    public function getSendType(): string
    {
        return $this->sendType;
    }

    public function setSendType(string $sendType): self
    {
        $this->sendType = $sendType;
        return $this;
    }

    public function getSendStatus(): string
    {
        return $this->sendStatus;
    }

    public function setSendStatus(string $sendStatus): self
    {
        $this->sendStatus = $sendStatus;
        return $this;
    }

    public function getName(): string
    {
        return $this->name;
    }

    public function setName(string $name): self
    {
        $this->name = $name;
        return $this;
    }

    public function getEmailAddress(): string
    {
        return $this->emailAddress;
    }

    public function setEmailAddress(string $emailAddress): self
    {
        $this->emailAddress = $emailAddress;
        return $this;
    }

    public function getAccess(): ?Access
    {
        return $this->access;
    }

    public function setAccess(?Access $access): self
    {
        $this->access = $access;
        return $this;
    }

    public function getOrganization(): ?Organization
    {
        return $this->organization;
    }

    public function setOrganization(?Organization $organization): self
    {
        $this->organization = $organization;
        return $this;
    }
}
